<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="agenda">
        <h2 class="jh-entity-heading" data-cy="agendaDetailsHeading">
          <span v-text="$t('gatewayApp.pacientesAgenda.detail.title')">Agenda</span> {{ agenda.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.pacientesAgenda.horaMedicamento')">Hora Medicamento</span>
          </dt>
          <dd>
            <span>{{ agenda.horaMedicamento }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesAgenda.medicamento')">Medicamento</span>
          </dt>
          <dd>
            <div v-if="agenda.medicamento">
              <router-link :to="{ name: 'MedicamentoView', params: { medicamentoId: agenda.medicamento.id } }">{{
                agenda.medicamento.nombre
              }}</router-link>
            </div>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="agenda.id" :to="{ name: 'AgendaEdit', params: { agendaId: agenda.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./agenda-details.component.ts"></script>
